.user {
  @usersHeaderPadding: 130;
  &-header {
    background-image: url("../../images/user_bg.png");
    background-position: center center;
    margin-top: ~"@{wrapperPadding}px";
    //background-size: cover;
    //background-position: 50%;
    width: 100%;
    min-height: ~"@{usersHeaderPadding}px";
    display: inline-block;
    position: relative;

    &-avatar {
      background-color: @white;
      box-shadow: 0 2px 4px 0 fade(@black, 5%);
      width: 125px;
      height: 125px;
      background-size: cover;
      position: absolute;
      bottom: -33px;
      z-index: 1;
      border: 4px solid @white;
      border-radius: 50%;

      &-reputation {
        position: absolute;
        background-color: @basePurple;
        border: 3px solid @white;
        color: @white;
        width: 30px;
        height: 30px;
        text-align: center;
        line-height: 25px;
        font-size: 13px;
        font-weight: 500;
        border-radius: 50%;
        right: -10px;
        top: 15px;
      }

    }

  }

  &-header-menu {
    position: relative;
    background-color: @white;
    box-shadow: 0 2px 4px 0 fade(@black, 5%);
    border-bottom: 1px solid lighten(@black, 92%);
    width: 100%;
    display: inline-block;
    top: -4px;

    a {
      position: relative;
      color: @basePurple;
      text-decoration: none;
      font-size: 14px;
      font-weight: 500;
      padding-top: 15px;
      padding-bottom: 15px;
      padding-left: 10px;
      padding-right: 10px;
      margin-right: 15px;
      display: inline-block;

      &:hover,
      &.active {
        color: @greenBase;
        .trans(@second: 0.2s);
        &:after {
          position: absolute;
          background-color: @greenBase;
          color: @greenBase;
          content: '';
          height: 2px;
          width: 100%;
          display: block;
          bottom: -1px;
          left: -1px;
        }
      }

      .count {
        color: @text38;
        margin-left: 4px;
      }


    }

  }

  &-follow-lists {
    width: 100%;
    display: inline-block;
    margin-top: 25px;
  }

  &-follow-single {

    .borderCorner(5,5,5,5);
    padding: 10px;
    background-color: @white;
    box-shadow: @boxShadow;
    width: 100%;
    display: inline-block;
    margin-bottom: 15px;
    min-height: 230px;

    &-background {
      .borderCorner(5,5,5,5);
      background-color: @sidebarBackground;
      background-image: url("../../images/user_bg.png");
      position: relative;
      width: 100%;
      height: 90px;
      display: inline-block;
      background-size: cover;
      background-position: center center;
      margin-bottom: 10px;
    }

    &-header-avatar {

      background-color: @white;
      box-shadow: 0 2px 4px 0 fade(@black, 5%);
      width: 55px;
      height: 55px;
      background-size: cover;
      position: absolute;
      z-index: 1;
      border: 2px solid @white;
      border-radius: 50%;
      top: 15px;
      left: 15px;

      &-reputation {
        position: absolute;
        background-color: @basePurple;
        border: 2px solid @white;
        color: @white;
        width: 30px;
        height: 30px;
        text-align: center;
        line-height: 25px;
        font-size: 13px;
        font-weight: 500;
        border-radius: 50%;
        right: -14px;
        top: 1px;
      }

    }

    &-header-ranking {
      //.borderCorner(0,0,5,0);
      background-color: fade(@basePurple, 90%);
      //border: 1px solid @white;
      position: absolute;
      font-size: 13px;
      font-weight: 400;
      color: @white;
      right: 0;
      top: 0;
      padding: 5px;

      i {
        margin-left: 8px;
        font-size: 11px;
      }

    }

    &-header-active {
      .borderCorner(0,5,5,0);
      background-color: fade(@basePurple, 90%);
      //border: 1px solid @white;
      position: absolute;
      font-size: 13px;
      font-weight: 400;
      color: @white;
      right: 0;
      top: 0;
      padding: 5px;

      i {
        margin-left: 8px;
        font-size: 11px;
      }

    }


    &-username {
      font-size: 16px;
      font-weight: 500;
      margin-bottom: 5px;
      color: @basePurple;
      width: 100%;
      display: inline-block;

      &:hover {
        .trans(0.2s);
        color: lighten(@basePurple, 20%);
        text-decoration: none;
      }

    }

    &-name {
      font-size: 14px;
      font-weight: 400;
      width: 100%;
      margin-bottom: 10px;
      color: @greenBase;
      display: inline-block;

      &:hover {
        .trans(@second: 0.2s);
        color: lighten(@greenBase, 5%);
        text-decoration: none;
      }

    }


    &-about {
      font-size: 14px;
      line-height: 20px;
      width: 100%;
      display: inline-block;
      height: 40px;
    }


  }

}